Subject: [Id-event] And a few comments to draft-hunt-idevent-distribution-01

From: Yaron Sheffer <[email-masked]>
Date: Sat, 10 Dec 2016 23:32:47 +0200

It sounds reasonable to me to split this document in two, so here are a 
few comments to the "main" portion of this document.

  * methodUri should probably be methodUrn.
  * 5.3.1: SET validation and/or decryption should not rely on whether
    keys are specified in the subscription definition. For exmaple, the
    SET may be signed with a certificate that's available off-line.
  * Why 202 Accepted and not simply 200 OK? RFC 7231 states that for a
    202, an application "ought to" provide a status polling endpoint.
    Are we planning to include such a thing?
  * Error description string: I think we should include a language tag,
    though I couldn't find a standard way to do it in JSON. Probably:
    "lang":"en-US".

Thanks,

     Yaron